
%{!?commit: %global commit HEAD }

#
# Customize from here.
#

%global golang_version 1.13.4
%{!?version: %global version 1.13.4}
%{!?release: %global release 1}
%global package_name golang-scl-shim
%global product_name Golang SCL shim
%global import_path pkgs.devel.redhat.com/cgit/rpms/golang-scl-shim

Name:           %{package_name}
Source0:        ./golang.sh
Version:        %{version}
Release:        %{release}%{?dist}
Summary:        Builds Dockerfile using the Docker client
License:        ASL 2.0
URL:            https://%{import_path}

ExcludeArch: s390 i686 ppc ppc64
Requires:  go-toolset-1.13 >= %{golang_version}
Provides:  golang = %{golang_version}

%description
Shim to install go-toolset SCL instead of golang, but enable it system-wide
so it can be used just like golang.

%build

%install

install -d %{buildroot}/etc/profile.d
install -p -m 644 %{SOURCE0} %{buildroot}/etc/profile.d/golang.sh

%files
/etc/profile.d/golang.sh

%changelog
